Subject: Receiving Self-Orignated Summary 3 LSAs

From: Joseph Placid <[email-masked]>
Date: Wed, 27 Oct 2004 12:30:57 +0530

Hi All,

Consider this topology:

[Area 0] - - - - R1 - - - - [Area 2] - - - - R2 - - - - [Area 0]

When R1 receives a Network LSA from an internal router in Area 2, it
summarises it into Area 0.  This Summary LSA is seen by R2 since it has an
interface in the backbone.

Qn 1) Will R2 import this Summary LSA into Area 2?
Qn 2) If R1 comes across a self-originated Summary LSA for the same Network
in Area2 with a lower cost, what should it do?

Regards,
Joseph Placid

---

From: Manish Gupta <[email-masked]>
Date: Wed, 27 Oct 2004 13:00:07 +0530

Hi Joseph,
Please see inline.
  -----Original Message-----
  From: Mailing List [mailto:[email-masked]]On Behalf Of Joseph
Placid
  Sent: Wednesday, 27 October 2004 12:31 PM
  To: [email-masked]
  Subject: Receiving Self-Orignated Summary 3 LSAs

  Hi All,

  Consider this topology:

  Qn 1) Will R2 import this Summary LSA into Area 2?
  [Manish Gupta] R2 will not import this summary LSA in Area 2 since it has
an INTRA Area route through Area 2 for summary network.

  Qn 2) If R1 comes across a self-originated Summary LSA for the same
Network in Area2 with a lower cost, what should it do?
           Intra area route will always be preferred over Inter Area Route
irrespective of cost.

  Regards,
  Joseph Placid

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: Joseph Placid <[email-masked]>
Date: Wed, 27 Oct 2004 13:17:30 +0530

Thanks Manish,

irrespective of cost.

Would R1:

1)    Generate a new summary LSA into the Backbone with the lower cost?
2)    Maxage this summary LSA (the one with the lower cost) and generate a
new one into the backbone?
3)    Simply regenerate the LSA with the right cost into the backbone?
4)    Ignore the LSA with the lowercost and Do Nothing.

- Joseph Placid

 -----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Manish
Gupta
Sent: 27 October 2004 01:00 PM
To: [email-masked]
Subject: Re: Receiving Self-Orignated Summary 3 LSAs

  Hi Joseph,
  Please see inline.
    -----Original Message-----

    Hi All,

    Consider this topology:

    Qn 1) Will R2 import this Summary LSA into Area 2?
    [Manish Gupta] R2 will not import this summary LSA in Area 2 since it
has an INTRA Area route through Area 2 for summary network.

    Regards,
    Joseph Placid

  **************************************************************************
*

  **************************************************************************
*

---

From: sujay <[email-masked]>
Date: Wed, 27 Oct 2004 12:50:27 +0530

Hi,
As it looks like mostly R2 will not add the network route(inter area)
for the summary lsa it recvs from R1, because it already has a Intra
area route to the same
network , so it should not generate the summ lsa for the network back to
area 2.
Suggest you verify !
Sujay

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of
Joseph Placid
Sent: Wednesday, October 27, 2004 12:31 PM
To: [email-masked]
Subject: Receiving Self-Orignated Summary 3 LSAs

Hi All,

Consider this topology:

When R1 receives a Network LSA from an internal router in Area 2, it
summarises it into Area 0.  This Summary LSA is seen by R2 since it has
an interface in the backbone.

Regards,
Joseph Placid

---

From: Acee Lindem <[email-masked]>
Date: Wed, 27 Oct 2004 05:41:29 -0400

Hi Joseph, 

It depends on whether the self-originated LSA is more recent. If is less
recent (as defined in section 13.1 of RFC 2328), it will be ignored. If it is
more recent, a new LSA with the correct cost and a larger sequence number 
is originated. Note that the LSA interpreted as being equal due to fact that 
the differing costs will result in different checksums.

Hope this helps,
Acee 
  ----- Original Message ----- 
  From: Joseph Placid 
  To: [email-masked] 
  Sent: Wednesday, October 27, 2004 3:47 AM
  Subject: Re: Receiving Self-Orignated Summary 3 LSAs

  Thanks Manish,

  Qn 2) If R1 comes across a self-originated Summary LSA for the same Network in Area2 with a lower cost, what should it do?
           >> Intra area route will always be preferred over Inter Area Route irrespective of cost.

  Would R1: 

  1)    Generate a new summary LSA into the Backbone with the lower cost?
  2)    Maxage this summary LSA (the one with the lower cost) and generate a new one into the backbone?
  3)    Simply regenerate the LSA with the right cost into the backbone?
  4)    Ignore the LSA with the lowercost and Do Nothing. 

  - Joseph Placid 

   -----Original Message-----
  From: Mailing List [mailto:[email-masked]]On Behalf Of Manish Gupta
  Sent: 27 October 2004 01:00 PM
  To: [email-masked]
  Subject: Re: Receiving Self-Orignated Summary 3 LSAs

    Hi Joseph, 
    Please see inline.
      -----Original Message-----
      From: Mailing List [mailto:[email-masked]]On Behalf Of Joseph Placid
      Sent: Wednesday, 27 October 2004 12:31 PM
      To: [email-masked]
      Subject: Receiving Self-Orignated Summary 3 LSAs

      Hi All,

      Consider this topology:

      When R1 receives a Network LSA from an internal router in Area 2, it summarises it into Area 0.  This Summary LSA is seen by R2 since it has an interface in the backbone.

      Qn 1) Will R2 import this Summary LSA into Area 2? 
      [Manish Gupta] R2 will not import this summary LSA in Area 2 since it has an INTRA Area route through Area 2 for summary network.

      Qn 2) If R1 comes across a self-originated Summary LSA for the same Network in Area2 with a lower cost, what should it do?
               Intra area route will always be preferred over Inter Area Route irrespective of cost.

      Regards,
      Joseph Placid

---

From: Zhao Guang <[email-masked]>
Date: Thu, 28 Oct 2004 09:00:38 +0800

老大，你的字体太刺眼了。

-----邮件原件-----
发件人: Mailing List [mailto:[email-masked]] 代表 sujay
发送时间: 2004年10月27日 15:20
收件人: [email-masked]
主题: Re: Receiving Self-Orignated Summary 3 LSAs

Hi,

As it looks like mostly R2 will not add the network route(inter area) for
the summary lsa it recvs from R1, because it already has a Intra area route
to the same 

Suggest you verify !

Sujay

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Joseph
Placid
Sent: Wednesday, October 27, 2004 12:31 PM
To: [email-masked]
Subject: Receiving Self-Orignated Summary 3 LSAs

Hi All,

Consider this topology:

 

 

Regards,

Joseph Placid